# Laerdal Medical plugin for Moodle #

This plugin enables Moodle 3.0+ teachers and admins to create Laerdal Medical activities that is launched externally on the Laerdal Medical EcoHub platform.

## Introduction ##

As this is an LTI Source type plugin, hence an LTI sub-plugin, it adds support for creating external activities launched using the LTI standard on the Laerdal Medical E-learning platform called EcoHub.
Although EcoHub accepts standard LTI launch parameters, using this plugin will enable full analytics support for tracking user compliance, metrics etc.for Laerdal Medical customers.

### How it works ###

The EcoHub platform adheres to LTI-1p0 standards (see https://www.imsglobal.org/specs/ltiv1p0). In order to provide eplicit analytics data for users, departments, institutions and organizations, several LTI parameters must be present and some must even be unique. Most of these parameters are custom parameters.
When a student start a Laerdal Medical activity the LTI parameters are modified by this plugin just before the launch, providing additional information in the LTI custom parameters.

### Privacy ###

As the information provided to Laerdal Medical may be obtained from the Moodle user profiles, administrators should be aware of the plugin configuration. The configuration is determined per installation and be default, no user specific data is sent to Laerdal Medical.
The administrator can see the exact mappings from site or user profile data to LTI parameters on the settings page of the plugin. This page also displays sample data for each mapping.

## Installation ##

This plugin is complete as is. It can be zipped and submitted on the Moodle plugin administration page for easy installation.

## Contribution ##

As the plugin is created specifically for the Laerdal Medical EcuHub platform, only pull requests from Laerdal Medical employees are taken into consideration for security reasons.
Employees should be sure to submit an issue via the BitBucket Issue Tracker before working on any pull requests.

## Copyright ##

© Laerdal Medical AS. Code for this plugin is licensed under the GPLv3 license.

Any Laerdal Medical trademarks and logos included in this plugin is property of Laerdal Medical and should not be reused, redistributed, modified, repurposed, or otherwise altered or used outside of this plugin.
